Replace the workspace's brand kit
Replace the workspace's brand kit (media:write)
Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.
PUT
header
AuthorizationBearer <token>API key (stk_...), or in the Community Edition the access token (stk_local_...)
application/json- body
The design editor's brand kit, shared by the workspace
colors*array<>Items
items <= 24fonts*array<>Names from the editor's font list
Items
items <= 6logos*array<string>Media ids of pictures in the library
Items
items <= 12Brand kit
application/json- response
The design editor's brand kit, shared by the workspace
colors*array<>Items
items <= 24fonts*array<>Names from the editor's font list
Items
items <= 6logos*array<string>Media ids of pictures in the library
Items
items <= 12curl -X PUT 'https://staqly.example.com/v1/design/brand' \ -H 'Content-Type: application/json' \ -d '{ "colors": [ "string" ], "fonts": [ "string" ], "logos": [ "string" ]}'Example Response
{ "colors": [ "string" ], "fonts": [ "string" ], "logos": [ "string" ]}